
TYPO3.Flow - Feature # 41900

Bug # 41843 (New): Composer and rename issues (umbrella issue)

Status: Accepted Priority: Should have
Author: Robert Lemke Category: Package
Created: 2012-10-12 Assigned To: Christian Jul Jensen
Updated: 2013-05-21 Due date:
PHP Version: 5.4
Has patch: No
Complexity:
Subject: Check for duplicate PSR-0 autoload namespaces
Description

Currently, if two packages define the same PSR-0 autoload namespace in their composer.json, it goes unnoticed by the package
management.

For example, if someone (let's say, me) just copies a composer manifest from a different package (TYPO3.Flow) and forgets to update
the "autoload" part, the new package will end up in a directory "TYPO3.Flow" too. The symptom then is that no Flow classes can be
found by the autoloader, because it looks into the other package directory.

While generating PackageStates.php (or somewhere in that area) we should check for duplicate PSR-0 namespaces and issue a
warning.

History
#1 - 2012-11-01 11:16 - Christian Jul Jensen
- Status changed from New to Accepted
- Assigned To set to Christian Jul Jensen

#2 - 2012-12-12 09:19 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.1

#3 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)
